Subject: [drinks] Internationalization followup..

From: Alexander Mayrhofer <[email-masked]>
Date: Tue, 12 Jun 2012 21:23:36 +0000

Preparing for the call tomorrow, i went through the various internationalization discussions that we had. There were a number of threads started on the list since Taipei, but we never actually agreed on text:

1/ http://www.ietf.org/mail-archive/web/drinks/current/msg01070.html
2/ http://www.ietf.org/mail-archive/web/drinks/current/msg01090.html
3/ http://www.ietf.org/mail-archive/web/drinks/current/msg01093.html
4/ http://www.ietf.org/mail-archive/web/drinks/current/msg01126.html

As a basis for tomorrow's discussion, i'd use the last message. The text proposed consisted of two seperate parts, one concerning the "Internationalization", and the other concerning the "Comparison". I'd like to discuss both parts seperately as follows:

1) Internationalization.

I'm proposing to use slightly modified text from the message as follows, inserting it between section 8 and 9 (XML / Security considerations):

--- snip ---
9. Internationalization Considerations

Character encodings to be used for SPPF elements are described in
Section 8. The use of time values
in the protocol is specified in Section 3.2. Where human-readable
languages are used in the protocol,
those messages SHOULD be tagged according to RFC 5646, and the transport
protocol MUST support
a respective mechanism to transmit such tags together with those
human-readable messages. 
If tags are absent, the language of the message defaults to "en"
(English).
--- snip --- 

2) Comparison

I've researched the respective topic for similar protocols (specifically EPP), and the only relevant text in the EPP RFCs seems to be the following paragraph at the end of section 1 of RFC 5730:

  "XML is case sensitive.  Unless stated otherwise, XML specifications
   and examples provided in this document MUST be interpreted in the
   character case presented to develop a conforming implementation.

There are no detailed definitions with respect of the comparison operations of object identifiers, nor other fields. The identifiers are (similarly to our drafts) defined as XSD "token" type, with no additional pattern matching restrictions. Considering that EPP has successfully achieved "STANDARD" status, i think we might not necessarily need the definitions that i created i my last proposals.

However, not describing how comparison operations are performed (and hence leaving comparison to normal XML logic) would mean that our identifiers would be case sensitive, as far as i understand the "token" definition of XML Schema. That would be the opposite of what we were inclined in previous discussions.

I'd like to quickly discuss this during tomorrow's call - if we decide that we leave comparison to the standard XML definitions, we would *not* need any additional text in the draft.

comments appreciated.

Alex

---

From: "Bhatia, Vikas" <[email-masked]>
Date: Wed, 13 Jun 2012 09:33:31 -0400

Hi Alex,

RFC 2277 (briefly mentioned this on the last design call and not sure if it's been obsoleted by another RFC...) seems to have some guidance on the issue of a "name" (identifier) definition w.r.t internationalization:

http://www.ietf.org/rfc/rfc2277.txt

Specifically I was referring to the following excerpts..just something for discussion.

Section 3 defines:

" A "name" is an identifier such as a person's name, a hostname, a
   domainname, a filename or an E-mail address; it is often treated as
   an identifier rather than as a piece of text, and is often used in
   protocols as an identifier for entities, without surrounding text."

Section 2 has some text on "name" internationalization:

"Names are a problem, because people feel strongly about them, many of
   them are mostly for local usage, and all of them tend to leak out of
   the local context at times. RFC 1958 [RFC 1958] recommends US-ASCII
   for all globally visible names.

   This document does not mandate a policy on name internationalization,
   but requires that all protocols describe whether names are
   internationalized or US-ASCII."

Vikas

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Alexander Mayrhofer
Sent: Tuesday, June 12, 2012 5:24 PM
To: [email-masked]
Subject: [drinks] Internationalization followup..

1) Internationalization.

--- snip ---

2) Comparison

comments appreciated.

Alex

_______________________________________________
drinks mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/drinks

This e-mail message is for the sole use of the intended recipient(s)and may
contain confidential and privileged information of Transaction Network Services.
Any unauthorised review, use, disclosure or distribution is prohibited. If you
are not the intended recipient, please contact the sender by reply e-mail and destroy all copies of the original message.